libgdamm: Gnome::Gda::ServerProviderError Class Reference

libgdamm 4.99.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Gnome::Gda::ServerProviderError Class Reference
Inheritance diagram for Gnome::Gda::ServerProviderError:
[legend]
Collaboration diagram for Gnome::Gda::ServerProviderError:
[legend]

List of all members.

## Public Types
enum | Code { SERVER_PROVIDER_METHOD_NON_IMPLEMENTED_ERROR, SERVER_PROVIDER_PREPARE_STMT_ERROR, SERVER_PROVIDER_EMPTY_STMT_ERROR, SERVER_PROVIDER_MISSING_PARAM_ERROR, SERVER_PROVIDER_STATEMENT_EXEC_ERROR, SERVER_PROVIDER_OPERATION_ERROR, SERVER_PROVIDER_INTERNAL_ERROR, SERVER_PROVIDER_BUSY_ERROR, SERVER_PROVIDER_NON_SUPPORTED_ERROR, SERVER_PROVIDER_SERVER_VERSION_ERROR, SERVER_PROVIDER_DATA_ERROR, SERVER_PROVIDER_DEFAULT_VALUE_HANDLING_ERROR, SERVER_PROVIDER_MISUSE_ERROR, SERVER_PROVIDER_FILE_NOT_FOUND_ERROR }
## Public Member Functions
| ServerProviderError (Code error_code, const Glib::ustring& error_message)
| ServerProviderError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gnome::Gda::ServerProviderError::Code

Enumerator:

  SERVER_PROVIDER_METHOD_NON_IMPLEMENTED_ERROR |
  SERVER_PROVIDER_PREPARE_STMT_ERROR |
  SERVER_PROVIDER_EMPTY_STMT_ERROR |
  SERVER_PROVIDER_MISSING_PARAM_ERROR |
  SERVER_PROVIDER_STATEMENT_EXEC_ERROR |
  SERVER_PROVIDER_OPERATION_ERROR |
  SERVER_PROVIDER_INTERNAL_ERROR |
  SERVER_PROVIDER_BUSY_ERROR |
  SERVER_PROVIDER_NON_SUPPORTED_ERROR |
  SERVER_PROVIDER_SERVER_VERSION_ERROR |
  SERVER_PROVIDER_DATA_ERROR |
  SERVER_PROVIDER_DEFAULT_VALUE_HANDLING_ERROR |
  SERVER_PROVIDER_MISUSE_ERROR |
  SERVER_PROVIDER_FILE_NOT_FOUND_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::ServerProviderError::ServerProviderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::ServerProviderError::ServerProviderError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::ServerProviderError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/serverprovider.h